Summary:    X.Org X11 xkb utilities
Name:       xorg-x11-xkb-utils
Version:    7.8
Release:    1
License:    MIT
URL:        https://www.x.org

Source0:    https://www.x.org/pub/individual/app/setxkbmap-1.3.3.tar.gz
Source1:    https://www.x.org/pub/individual/app/xkbcomp-1.4.5.tar.gz
Source2:    https://www.x.org/pub/individual/app/xkbevd-1.1.4.tar.bz2
Source3:    https://www.x.org/pub/individual/app/xkbprint-1.0.6.tar.gz
Source4:    https://www.x.org/pub/individual/app/xkbutils-1.0.5.tar.gz

BuildRequires:  byacc pkgconfig(x11) pkgconfig(xaw7) pkgconfig(xkbfile) pkgconfig(xorg-macros) >= 1.8 pkgconfig(xt) pkgconfig(xrandr)

Provides:   setxkbmap = 1.3.3
Provides:   xkbcomp = 1.4.5
Provides:   xkbevd = 1.1.4
Provides:   xkbprint = 1.0.6
Provides:   xkbutils = 1.0.5
Provides:   xorg-x11-xkb-extras

Obsoletes:  xorg-x11-xkb-extras

%description
X.Org X11 xkb core utilities.

%package_help

%package devel
Summary:    X.Org X11 xkb utilities development package
Requires:   pkgconfig
Requires:   xkbcomp

%description devel
X.Org X11 xkb utilities development files.

%prep
%setup -q -c xorg-x11-xkb-utils-%{version} -a1 -a2 -a3 -a4

%build
{
    for app in * ; do
        pushd $app
            case $app in
                xkbcomp-*)
                    rm xkbparse.c
                    ;;
                *)
                    ;;
            esac
            %configure
            %{make_build}
        popd
    done
}

%install
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
}

%files
%doc xkbutils-1.0.5/COPYING
%doc xkbutils-1.0.5/README.md
%{_bindir}/xkbbell
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_bindir}/setxkbmap
%{_bindir}/xkbcomp

%files help
%{_mandir}/man1/setxkbmap.1*
%{_mandir}/man1/xkbcomp.1*
%{_mandir}/man1/xkbbell.1*
%{_mandir}/man1/xkbevd.1*
%{_mandir}/man1/xkbprint.1*
%{_mandir}/man1/xkbvleds.*
%{_mandir}/man1/xkbwatch.*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc

%changelog
* Thu Oct 27 2022 wangkerong <wangkerong@h-partners.com> - 7.8-1
- upgrade to setxkbmap-1.3.3
- upgrade to xkbcomp-1.4.5
- upgrade to xkbprint-1.0.6
- upgrade to xkbutils-1.0.5

* Wed Apr 13 2022 xingxing <xingxing9@h-partners.com> - 7.7-30
- enable patch 6000

* Mon Apr 11 2022 xingxing <xingxing9@h-partners.com> - 7.7-29
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:solve which display X11 cannot support keycodes above 255

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.7-28
- Package init

